"""SSA-6391: add download capability and workflow

Revision ID: e50583fc2a8e
Revises: 21dc67216082
Create Date: 2021-01-20 14:26:21.397835

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "e50583fc2a8e"
down_revision = "ec2aab4ad517"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        "INSERT INTO capabilities (capability_name, capability_steps, max_jobs) "
        "VALUES ('download', 'await-product\nprepare-and-run-workflow download\nawait-workflow', 2)"
    )
    op.execute("INSERT INTO workflows (workflow_name) VALUES ('download')")
    op.execute(
        "INSERT INTO workflow_templates (workflow_name, filename, content) "
        "VALUES ('download', 'download.condor', E'executable = download.sh\narguments = {{arguments}}"
        "\nerror = download.err\nlog = download.log\n\n\nqueue')"
    )
    op.execute(
        "INSERT INTO workflow_templates (workflow_name, filename, content) VALUES "
        "('download', 'download.sh', E'#!/bin/sh\n\ndatafetcher --product-locator $1\ndeliver -r .\n')"
    )
    op.execute(
        "INSERT INTO workflow_templates (Workflow_name, filename, content)"
        "VALUES ('download', 'download.dag', E'JOB download download.condor')"
    )


def downgrade():
    op.execute("DELETE FROM capabilities WHERE capability_name = 'download'")
    op.execute("DELETE FROM workflows WHERE workflow_name = 'download'")
    op.execute("DELETE FROM workflow_templates WHERE workflow_name = 'download'")
